Summary: RPM installer/updater
Name: yum
Version: 2.0.4
Release: 0.5.9
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.0/yum-%{version}.tar.gz
Source5: yum.sysconfig
Source6: yum.cron
Source7: yum.conf
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
Requires: python, rpm-python >= 4.1.1, libxml2-python, gettext
PreReq: /sbin/chkconfig, /sbin/service
BuildRoot: %{_tmppath}/%{name}-%{version}root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{S:5} $RPM_BUILD_ROOT/etc/sysconfig/yum.cron
install -m 644 %{S:6} $RPM_BUILD_ROOT/etc/cron.daily/yum.cron
#install -m 644 %{S:7} $RPM_BUILD_ROOT/etc/yum.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/sysconfig/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum/*
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/yum.mo

%changelog
* Sun Oct 26 2003 Milan Kerslager <kerslage@linux.cz>
- do not send empty emails

* Thu Oct 23 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.4.9
- send stderr to mail too (yum.cron)

* Wed Oct 22 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.3.9
- added /etc/sysconfig/yum.cron for user customization of /etc/cron.daily/yum.cron
- file attributes fixes

* Wed Oct 22 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.1.9
- rebuild for RH 9
- noreplace for yum.cron

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
